Subject: Re: Buffer being killed not current in kill-buffer-hook

From: Chong Yidong <[email-masked]>
Date: Wed, 24 Sep 2008 16:14:17 -0400

> I posted this to emacs-dev, but there was no response. This is still
> happenning to me with latest CVS build.

Sorry for the delay.  I've just checked in a slightly more conservative
version of you patch (since I'm not sure it's correct to apply
save-current-buffer in all situations).  Thanks for the report and the
patch.